%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program initialize the global variabl doc, exclude the modification
% parts.
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function initialize_doc(cur_ntype, cur_snr, cur_wav_file, cur_wav_path)

global doc configs;

[s, fs] = load_wav(cur_wav_file, cur_wav_path);

if isempty(s)
    return;
end

if fs~=16000
    %msgbox('Due to some technical problem with AI-gram, this software cannot deal with speech sounds sampled at rates other than 16,000Hz!');
    t = [0:length(s)-1]/fs;
    fs = 16000;
    t1 = linspace(0, max(t), round(max(t)*fs));
    s = interp1(t,s,t1);
end


AIcube = creat_AI_cube(cur_wav_file, cur_wav_path, cur_ntype);
aigram = extract_AI_gram(AIcube, cur_snr); 

speech_data.fs = fs;
speech_data.signal = s;
speech_data.snr = cur_snr;
speech_data.type = 'speechonly';

speech_in = []; speech_only = []; noise_only = []; noise_std = [];

cd(configs.aigrampath);
if strcmp(cur_ntype, 'SWN')
    [speech_in, speech_only, noise_only, noise_std]=prepare_speech_mn64( speech_data);
elseif strcmp(cur_ntype, 'WN')
    [speech_in, speech_only, noise_only, noise_std]=prepare_speech_mn16r( speech_data);
end
cd(configs.syspath)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% initialize all the variables
doc.wav_file = cur_wav_file;
doc.wav_path = cur_wav_path;

doc.AIcube = AIcube;
doc.aigram = aigram;

doc.speech.data = speech_only;
doc.speech.fs = fs;
doc.noise = noise_only;
doc.noisyspeech = speech_in;

doc.snrs = configs.snrs;
doc.snr = cur_snr;
doc.ntype = cur_ntype; % white or speech shaped

