%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program % initialize the popup menu 'talker' on the left panel
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function talkers = initialize_popup_talker(handles, cur_exp, cur_con, cur_vow)

global configs ;
talkers = configs.talkers;

cur_sndlist = get_sndlist(cur_exp);
% find out which are the talkers available for the given consonant and vowel
sndlist_out = query_sndlist( cur_sndlist, '', cur_con, cur_vow);
cur_talkers = unique(sort(sndlist_out.tlk));

for i=1:length(talkers)
    if ~sum(strcmp(cur_talkers,talkers{i}))
        configs.talker_yesno(i) = 0;
    else
        configs.talker_yesno(i) = 1;
    end
end

for i=1:length(talkers)
    if (~configs.talker_yesno(i))
        talkers{i} = ['- ' talkers{i}]; % the talker does not exist 
    else
        talkers{i} = ['+ ' talkers{i}]; % the talker does exist for the consonant and vowel
    end
end

set(handles.poptlk, 'String', talkers); 


